Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
pem.cpp File Reference
`#include <botan/pem.h>`
`#include <botan/base64.h>`
`#include <botan/parsing.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::PEM_Code

## Functions
secure_vector< uint8_t > | Botan::PEM_Code::decode (DataSource &source, std::string &label)
secure_vector< uint8_t > | Botan::PEM_Code::decode (const std::string &pem, std::string &label)
secure_vector< uint8_t > | Botan::PEM_Code::decode_check_label (DataSource &source, const std::string &label_want)
secure_vector< uint8_t > | Botan::PEM_Code::decode_check_label (const std::string &pem, const std::string &label_want)
std::string | Botan::PEM_Code::encode (const uint8_t der[], size_t length, const std::string &label, size_t width)
bool | Botan::PEM_Code::matches (DataSource &source, const std::string &extra, size_t search_range)